Bug 7552 - (int-153110) fmtx_client should pad station names shorter than 8 chars with spaces
(int-153110)
: fmtx_client should pad station names shorter than 8 chars with spaces
Status: RESOLVED FIXED
Product: Multimedia
FM Transmitter
: 5.0/(2.2009.51-1)
: All Maemo
: Low minor with 3 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: fmtx-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-01 17:19 UTC by Thomas Perl
Modified: 2010-03-15 20:55 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Thomas Perl (reporter) 2010-01-01 17:19:24 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Change the station name using "fmtx_client -s test"

EXPECTED OUTCOME:

The station name is changed, and the new station name is displayed.

ACTUAL OUTCOME:

The station name is changed (internally), but the new station name is not
displayed.

REPRODUCIBILITY:
always

OTHER COMMENTS:

If the string is padded to 8 characters, the new station name is displayed. See
the discussion on bug 7271 for more details, especially comment 3:

Aldon Hynes in bug 7271:
> fmtx_client -s test 
> will fail
> however
> fmtx_client -s "test    "
> works properly, at least on my machine.

The purpose of this enhancement is that the fmtx_client utility should
automatically pad short station names with spaces at the end, so that the FM
radio connected to the transmitter will show the station name, even if the
"fmtx_client -s test" command is used.
Comment 1 Quim Gil nokia 2010-01-11 23:48:18 UTC
I recommend filing this as a bug to see if it gets attention from the
developers. Otherwise the most probable is that will stay here totally under
the radar.
Comment 2 Dave Bociek 2010-01-23 13:12:54 UTC
station innfo txt also needs to be a multiple of 8
Comment 3 Andre Klapper maemo.org 2010-01-25 16:38:17 UTC
"Fixed in fmtx-middleware 0.53. Padding is now applied on fmtx-middleware and
length of station name is limited to 8 characters."
Comment 4 Andre Klapper maemo.org 2010-02-08 18:10:33 UTC
This has been fixed in package
fmtx-middleware 0.53+0m5
which is part of the internal build version
10.2010.05-8
(Note: 2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 5 Andre Klapper maemo.org 2010-03-15 20:55:46 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).